@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');
@import url(https://fonts.googleapis.com/css?family=Roboto+Slab:400,300);
@import url(https://fonts.googleapis.com/css?family=Open+Sans);

html { box-sizing: border-box; overflow-x: hidden; }
*, *:before, *:after { box-sizing: inherit; }
body, ul, li  { margin: 0; padding: 0; }
li { list-style: none; }
p, h1, h2, h3, h4, h5, h6 { margin-top: 0; }
a { text-decoration: none; }
input { border-style: none; background: transparent; outline: none; }
button { padding: 0; background: none; border: none; outline: none; }

body {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    overflow-x: hidden;
}

img {
    max-width: 100%;
    object-fit: cover;
    height: auto;
}

.header {
    width: 100%;
    padding: 15px;
    background: #fff;
    border-bottom: 1px solid #e7e7e7;
    box-shadow: 1px 21px 25px -17px rgba(0, 0, 0, 0.75);
    position: sticky;
    top: 0;
    left: 0;
    z-index: 999;
}
@media (max-width: 700px) {
    .header {
        padding: 12px;
        box-shadow: 1px 21px 15px -17px rgba(0, 0, 0, 0.5);
    }
}
@media (max-width: 420px) {
    .header {
        padding: 10px;
    }
}
.header__logo img {
    width: 90px;
    height: 80px;
    object-fit: cover;
}
@media (max-width: 700px) {
    .header__logo img {
        width: 80px;
        height: 70px;
    }
}
.header__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 1450px;
    padding: 0 20px;
    margin: 0 auto;
}
@media (max-width: 650px) {
    .header__container {
        padding: 0 15px;
    }
}
.header__list {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.header__li {
    margin: 0 20px;
}
@media (max-width: 700px) {
    .header__li {
        margin: 0 10px;
    }
}
.header__li:last-child {
    margin-right: 0;
}
.header__li .icon {
    height: 30px;
    width: 30px;
    cursor: pointer;
}
@media (max-width: 420px) {
    .header__li .icon {
        height: 25px;
        width: 25px;
    }
}
.header .notifications__list, .header .tasks__list, .header .header__profile-block {
    background: #fff;
    width: max-content;
    border: 1px solid #e8e8e8;
    border-radius: 8px;
    opacity: 0;
    transition: all 0.7s ease-in-out;
    box-shadow: 0 0 77px -10px rgb(33, 33, 33);
    padding: 20px;
    position: absolute;
    left: 2200px;
    top: 20px;
    z-index: -100;
    transform: translateX(-50%);
}
#notification-icon.animation {
    animation: tilt-shaking 0.5s forwards;
}
@media (max-width: 800px) {
    .header .notifications__list, .header .tasks__list, .header .header__profile-block {
        padding: 10px;
        top: 50px;
    }
}
@media (max-width: 420px) {
    .header .notifications__list, .header .tasks__list, .header .header__profile-block {
        top: 40px;
    }
}
.header .notifications__list p, .header .header__profile-block p {
    font-size: 17px;
    color: #212121;
    font-weight: 500;
    margin: 0;
}
@media (max-width: 800px) {
    .header .notifications__list p, .header .header__profile-block p {
        font-size: 15px;
    }
}
.header .notifications, .header .tasks {
    position: relative;
    display: flex;
    flex-direction: column;
}
.header .notifications:hover .notifications__list, .header .tasks:hover .tasks__list {
    left: 50%;
    opacity: 1;
    z-index: 1000;
}
.header .notifications .notification, .header .tasks .task {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.header .notifications .notification:not(:last-child) {
    margin-bottom: 15px;
}
.header .notifications .notification__person {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.header .notifications .notification__person img {
    height: 40px;
    width: 40px;
    object-fit: cover;
}
.profile__image {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
    margin-right: 15px;
}
.notification__person {
    display: flex;
    align-items: center;
}
.header .notifications .notification__author {
    font-size: 12px;
    font-weight: 700;
    color: #212121;
    margin-top: 8px;
}
.header .notifications .notification__message {
    position: relative;
    margin-left: 15px;
    padding: 12px;
    border-radius: 4px;
    box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.25);
}
.header .notifications .notification__message::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 50%;
    left: -10px;
    background: #fff;
    width: 10px;
    height: 20px;
    box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.25);
    clip-path: polygon(0 49%, 100% 80%, 100% 20%);
    transform: translateY(-50%);
}
.header .notifications .notification__message p {
    font-size: 14px;
}
.header .header__profile {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}
.header .header__profile-block {
    padding: 10px;
    top: 40px;
}
@media (max-width: 1500px) {
    .header .header__profile-block {
        padding: 15px;
    }
}
.header .header__profile-block .profile__inner {
    display: flex;
    flex-direction: column;
}
.header .profile__name {
    color: #212121;
    font-size: 15px;
    font-weight: 500;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}
.header .header__profile-block .profile__inner .profile__link {
    color: #212121;
    font-size: 15px;
    font-weight: 500;
    padding: 10px;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}
.header .profile__photo {
    width: 50px;
    height: 50px;
    object-fit: cover;
    margin-right: 15px;
    cursor: pointer;
}
.header .header__profile-block .profile__inner .profile__link:hover {
    background: #e7e7e7;
}
.header .header__profile:hover .header__profile-block {
    left: 44%;
    opacity: 1;
}
th, td {
    border: 1px solid;
    font-size: 18px;
}
@media (max-width: 630px) {
    th, td {
        font-size: 16px;
    }
}
@media (max-width: 550px) {
    th, td {
        font-size: 14px;
    }
}
@media (max-width: 500px) {
    th, td {
        font-size: 13px;
    }
}
@media (max-width: 430px) {
    th, td {
        font-size: 12.5px;
    }
}
table, th, td {
    border-collapse: collapse;
}
.special-table {
    width: 100%;
    border-collapse: collapse;
    margin: 25px 0;
    font-size: 0.9em;
    font-family: sans-serif;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
}
.special-table thead tr {
    background-color: #101056;
    color: #ffffff;
    text-align: center;
}
.special-table th,
.special-table td {
    padding: 16px 20px;
    text-align: center;
}

@media (max-width: 800px) {
    .special-table th,
    .special-table td {
        padding: 10px 12px;
    }
}
@media (max-width: 630px) {
    .special-table th,
    .special-table td {
        padding: 7px;
    }
}
@media (max-width: 430px) {
    .special-table th,
    .special-table td {
        padding: 4px;
    }
}
.special-table tbody tr {
    border-bottom: 1px solid #dddddd;
}
.special-table tbody tr:nth-of-type(even) {
    background-color: #e6f4fd;
}
.special-table tbody tr:last-of-type {
    border-bottom: 2px solid #101056;
}
.special-table tbody tr.special-row {
    font-weight: bold;
    color: #101056;
}
.circle-status {
    display: block;
    margin: 0 auto;
    width: 30px;
    height: 30px;
    border-radius: 100%;
    background: #e7e7e7;
}
@media (max-width: 500px) {
    .circle-status {
        height: 20px;
        width: 20px;
    }
}
.circle-status.active {
    background: #1d6d39;
}
.main {
    margin-top: 100px;
}
@media (max-width: 1000px) {
    .main {
        margin-top: 60px;
    }
}
@media (max-width: 600px) {
    .main {
        margin-top: 20px;
    }
}
.main__container {
    width: 100%;
    max-width: 1410px;
    margin: 0 auto;
}
@media (max-width: 1400px) {
    .main__container {
        padding: 0 30px;
    }
}
@media (max-width: 992px) {
    .main__container {
        flex-direction: column;
        align-items: center;
    }
}
@media (max-width: 700px) {
    .main__container {
        padding: 0 15px;
    }
}

@media (max-width: 500px) {
    .main__container {
        padding: 0;
    }
}

.navigation {
    width: 100%;
}
@media (max-width: 992px) {
    .navigation {
        margin-bottom: 40px;
    }
}
@media (max-width: 992px) {
    .navigation ul {
        display: flex;
        justify-content: space-between;
    }
}
@media (max-width: 992px) {
    .navigation ul li {
        width: 33%;
        text-align: center;
        padding: 30px;
    }
}

.students {
    width: 100%;
}
.navigation .navigation__link {
    display: inline-block;
    font-size: 20px;
    font-weight: 400;
    color: #212121;
    text-decoration: none;
    margin-bottom: 20px;
    padding-bottom: 3px;
}
.panel {
    width: 100%;
    max-width: 1300px;
    margin: 100px auto;
}
@media (max-width: 1000px) {
    .navigation .navigation__link {
        margin-bottom: 0;
    }
}
@media (max-width: 470px) {
    .navigation .navigation__link {
        font-size: 16px;
    }
}
.navigation .navigation__link.active {
    font-weight: 700;
}
.navigation .navigation__link {
    color: inherit;
    text-decoration: none;
    background-size: 100% 3px, 0 3px;
    background:
            linear-gradient(
                    to right,
                    rgba(136, 206, 254, 1),
                    rgba(136, 206, 254, 1)
            ),
            linear-gradient(
                    to right,
                    rgba(255, 0, 0, 1),
                    rgba(255, 0, 180, 1),
                    rgba(0, 100, 200, 1)
            );
    background-size: 100% 3px, 0 3px;
    background-position: 100% 100%, 0 100%;
    background-repeat: no-repeat;
    transition: background-size 400ms;
}
.navigation .navigation__link:hover {
    background-size: 0 3px, 100% 3px;
}
.navigation .navigation__link:hover {
    background-size: 0 3px, 100% 3px;
}
.btn {
    cursor: pointer;
    outline: 0;
    display: inline-block;
    line-height: 1;
    text-align: center;
    padding: 12px 14px;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0.25px;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
@media (max-width: 1100px) {
    .btn {
        font-size: 15px;
        padding: 10px 12px;
    }
}
@media (max-width: 450px) {
    .btn {
        font-size: 14px;
        font-weight: 400;
        padding: 8px 10px;
    }
}
.btn.img {
    padding: 6px;
}
.btn img {
    width: 25px;
    height: 25px;
}
@media (max-width: 500px) {
    .btn img {
        width: 20px;
        height: 20px;
    }
}
.btn__blue {
    color: #fff;
    background-color: #0d6efd;
    border: 1px solid #0d6efd;
}
.btn__blue:hover {
    background-color: #0b5ed7;
}
.btn__red {
    color: #fff;
    background-color: #8B0000;
}
.btn__red:hover {
    background-color: #800000;
}
.btn__red-outline {
    border: 1px solid #F2234B;
    background: transparent;
}
.btn__red-outline:hover {
    background-color: rgb(250, 88, 122);
}
.btn__red-outline:hover img {
    filter: invert(100%) sepia(1%) saturate(5984%) hue-rotate(137deg) brightness(165%) contrast(100%);
}
.btn__green {
    color: #fff;
    background-color: #1d6d39;
}
.btn__green:hover {
    background-color: #216924;
}
.btn__blue-outline {
    border: 1px solid #0b5ed7;
    background: transparent;
}
.btn__blue-outline:hover {
    background-color: #0b5ed7;
}
.btn__blue-outline:hover img {
    filter: invert(100%) sepia(1%) saturate(5984%) hue-rotate(137deg) brightness(165%) contrast(100%);
}
.vmodal-window, .vmodal-overlay {
    opacity: 0;
    z-index: -1;
}

.vmodal.open .vmodal-overlay, .vmodal.open .vmodal-window {
    opacity: 1;
    z-index: 1000;
}
.vmodal.open .vmodal-window {
    transform: translateY(100px);
}
.vmodal.open .vmodal-overlay {
    background: rgba(0, 0, 0, 0.5);
}
.vmodal.hide .vmodal-overlay, .vmodal.hide .vmodal-window {
    opacity: 1;
    z-index: 1000;
}
.vmodal.hide .vmodal-window {
    transform: translateY(-200px);
}
.vmodal.hide .vmodal-overlay {
    background: rgba(0, 0, 0, 0);
}
.vmodal-overlay {
    position: fixed;
    right: 0;
    left: 0;
    bottom: 0;
    top: 0;
    background: rgba(0, 0, 0, 0);
    transition: background 0.6s ease-in;
}
.vmodal-title {
    font-size: 28px;
    font-weight: 600;
    letter-spacing: 0.25px;
    color: #212121;
}
.vmodal-close {
    font-size: 40px;
    font-weight: 500;
}
.vmodal-window {
    border-radius: 5px;
    background: #fff;
    margin: 0 auto;
    transform: translateY(-300px);
    transition: transform 0.4s ease-in;
}
.vmodal-header {
    padding: 14px 18px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #eee;
}
.vmodal-header .vmodal-title {
    font-size: 1.5rem;
}
@media (max-width: 450px) {
    .vmodal-header .vmodal-title {
        font-size: 1.2rem;
    }
}
.vmodal-header .vmodal-close {
    cursor: pointer;
}
.vmodal-content {
    padding: 18px;
}
.vmodal-content p {
    font-size: 16.5px;
    font-weight: 400;
    letter-spacing: 0.25px;
    line-height: 1.4;
    margin: 0 0 5px;
}
@media (max-width: 450px) {
    .vmodal-content p {
        font-size: 14px;
    }
}
.vmodal-footer {
    display: flex;
    justify-content: end;
    padding: 14px 18px;
    border-top: 1px solid #eee;
}
.vmodal-footer .btn:first-child {
    margin-right: 14px;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@keyframes fadeOut {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
@keyframes tilt-shaking {
    0% {
        transform: rotate(0deg);
    }
    25% {
        transform: rotate(5deg);
    }
    50% {
        transform: rotate(0deg);
    }
    75% {
        transform: rotate(-5deg);
    }
    100% {
        transform: rotate(0deg);
    }
}
.flash-message {
    position: absolute;
    top: 125px;
    left: 50px;
    z-index: 966;
    padding: 18px;
}
.flash-message.open {
    animation: fadeIn 1s forwards;
}
.flash-message.hide {
    animation: fadeOut 1s forwards;
}
.flash-message.success {
    background: #00ad00;
    border-radius: 8px;
}
.flash-message.fail {
    background: #c70023;
    border-radius: 8px;
}
.flash-message p {
    margin: 0;
    color: #fff;
    font-size: 15px;
    line-height: 1;
    letter-spacing: 0.5px;
    font-weight: 500;
}
.standard__label {
    color: #212121;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.3;
    letter-spacing: 0.25px;
    margin-bottom: 10px;
}

.standard__input {
    width: 100%;
    border-radius: 3px;
    border: 1px solid rgb(79, 143, 255);
    padding: 13.5px 12px;
    font-size: 14px;
    font-weight: 300;
    color: #000000;
}
.standard__input::placeholder {
    color: #9E9E9E;
}

select {
    -webkit-appearance: none;
}

.select-group {
    position: relative;
}
.select-group::after {
    content: "";
    display: inline-block;
    position: absolute;
    top: 50%;
    right: 25px;
    border: solid black;
    border-width: 0 3px 3px 0;
    padding: 3px;
    transform: rotate(-135deg) translateY(50%);
}

.group__standard {
    display: flex;
    flex-direction: column;
    margin-bottom: 25px;
}
.error {
    color: #8B0000;
    margin-top: 5px;
}

.messages {
    margin-top: 50px;
    display: flex;
    align-items: stretch;
    justify-content: space-between;
}
.messages .chats {
    width: 32%;
    padding: 20px;
    border: 2px solid #cecece;
    border-radius: 6px;
}
.messages .chats__inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 30px;
}
.messages .chats__title {
    margin: 0;
    font-size: 20px;
    font-weight: 700;
    line-height: 1.2;
    color: #212121;
}
.messages .chats .room {
    cursor: pointer;
    background: rgba(103, 189, 236, 0.4);
    border-radius: 12px;
    padding: 10px;
    display: flex;
    align-items: center;
    margin-bottom: 25px;
}
.messages .chats .room__avatar img {
    width: 50px;
    height: 50px;
    object-fit: cover;
}
.messages .chats .room__title {
    margin: 0 0 0 25px;
    font-size: 17px;
    font-weight: 700;
    line-height: 1.2;
    color: #212121;
}
.messages .main-chat {
    width: 66%;
    padding: 20px;
    border: 2px solid #cecece;
    border-radius: 6px;
}
.messages .main-chat__title {
    margin: 0 0 25px 0;
    font-size: 22px;
    font-weight: 700;
    line-height: 1.2;
    color: #212121;
}
.messages .main-chat__members {
    display: flex;
    flex-direction: column;
    margin-bottom: 30px;
}
.messages .main-chat__members .main-chat__title {
    font-size: 18px;
    font-weight: 600;
}
.messages .main-chat__members .members {
    display: flex;
    align-items: center;
}
.messages .main-chat__members .members .member {
    margin-right: 15px;
}
.messages .main-chat__members .members .member img {
    width: 45px;
    height: 45px;
}
.messages .main-chat__members .members .add__member {
    cursor: pointer;
    color: #ffffff;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #008a00;
}
.messages .main-chat__members .members .add__member::before {
    content: "+";
    display: flex;
    margin: 0 auto;
    justify-content: center;
    width: 35px;
    height: 35px;
    font-size: 30px;
    line-height: 1;
}
.messages .main-chat .chat__room .main-chat__title {
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 15px;
}
.messages .main-chat .chat__room .chat__messages {
    padding: 10px;
    min-height: 350px;
    overflow-y: scroll;
    overflow-x: hidden;
    background-color: #fff;
    position: relative;
}
.messages .main-chat .chat__room .chat__messages .message {
    border-radius: 30px;
    display: flex;
    align-items: end;
    width: 80%;
    margin-bottom: 10px;
}
.messages .main-chat .chat__room .chat__messages .message.my-message {
    justify-content: end;
    margin-left: auto;
}
.messages .main-chat .chat__room .chat__messages .message.my-message .message__info {
    min-width: 135px;
    padding: 32px 10px 10px;
    color: #e7e7e7;
    background-color: rgb(11, 28, 206);
}
.messages .main-chat .chat__room .chat__messages .message.my-message .message__info::before {
    right: -17px;
    left: initial;
    border-color: transparent transparent transparent rgb(11, 28, 206);
}
.messages .main-chat .chat__room .chat__messages .message__avatar {
    margin-right: 15px;
}
.messages .main-chat .chat__room .chat__messages .message__avatar img {
    min-width: 40px;
    height: 40px;
}
.messages .main-chat .chat__room .chat__messages .message__text {
    color: #fff;
}
.messages .main-chat .chat__room .chat__messages .message__author {
    color: #fff;
    margin-bottom: 14px;
}
.messages .main-chat .chat__room .chat__messages .message__date {
    position: absolute;
    right: 10px;
    top: 10px;
    z-index: 99;
    font-size: 11px;
    font-weight: 500;
    color: #fffbfb;
}
.messages .main-chat .chat__room .chat__messages .message__info {
    min-width: 235px;
    position: relative;
    border-radius: 15px;
    padding: 10px;
    background-color: #b18cee;
}
.messages .main-chat .chat__room .chat__messages .message__info::before {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border: 10px solid;
    border-color: transparent #b18cee transparent transparent;
    left: -17px;
    bottom: 7px;
}
.messages .main-chat .chat__room .chat__messages .message__feedback {
    padding: 5px 0;
    font-size: 17px;
    font-weight: 500;
    font-style: italic;
}
.messages .main-chat .chat__room-footer {
    display: flex;
    align-items: center;
    margin: 0 auto;
    width: 95%;
}
.messages .main-chat .chat__room-footer .standard__input {
    border-radius: 5px 0 0 5px;
}
.messages .main-chat .chat__room-footer .send__message {
    cursor: pointer;
    border: #212121 1px solid;
    border-left: 0;
    padding: 13px 16px;
    border-radius: 0 5px 5px 0;
}
.messages .choose-room {
    font-size: 20px;
    font-weight: 600;
    color: #212121;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.messages #empty-room {
    display: block;
    background-color: rgba(4, 81, 189, 0.05);
    min-height: 500px;
}

.available__users {
    display: flex;
    flex-direction: column;
}
.available__users .user {
    display: flex;
    align-items: center;
}
.available__users .user:not(:last-child) {
    margin-bottom: 15px;
}
.available__users .user__checkbox {
    margin-right: 25px;
    -webkit-transform: scale(1.8, 1.8);
}
.available__users .user__label {
    display: flex;
    align-items: center;
}
.available__users .user__name {
    font-size: 17px;
    color: #212121;
    font-weight: 500;
    line-height: 1.1;
    margin: 0;
}
.available__users .user__img {
    width: 50px;
    height: 50px;
    margin-right: 15px;
}

.user__form {
    width: 100%;
    max-width: 800px;
    margin: 150px auto 0;
}

.form__footer {
    padding: 25px 15px;
    border-radius: 12px;
    border: 1px solid #212121;
    background: rgba(255, 58, 97, 0.05);
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    align-content: center;
    width: 100%;
    text-align: center;
}
.form__footer a {
    font-size: 17px;
    font-weight: 600;
    color: rgba(0, 76, 187, 0.8);
}

.tasks__cards {
    display: flex;
    justify-content: space-between;
    align-content: center;
}
.tasks__cards .tasks__card {
    width: 31%;
    padding: 20px;
    border: 1px solid #212121;
    border-radius: 10px;
}
.tasks__cards .tasks__card .list-title {
    font-size: 17px;
    color: #212121;
    font-weight: 600;
    margin-bottom: 10px;
    padding-bottom: 10px;
    border-bottom: 1px solid #cecece;
}
.tasks__cards .tasks__card .tasks-list {
    list-style: none;
}
.tasks__cards .tasks__card .tasks-list .task {
    display: flex;
    justify-content: space-between;
    align-content: center;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 6px;
    border: 1px solid #2a2626;
}
.tasks__cards .tasks__card .tasks-list .task .task__name {
    font-size: 17px;
    font-weight: 500;
    color: #2a2626;
    line-height: 1.3;
    margin: 0;
}
.tasks__cards .tasks__card .tasks-list .task time {
    font-weight: 400;
    font-size: 15px;
    color: grey;
    margin: 0;
}

.btn__red-outline {
    color: #000;
}
